<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <h1>
          Wallet Finalisation
        </h1>
        <div class="fm-row">
          <div class="col-sm-3">
            <input [(ngModel)]="job_id" matInput placeholder="Select Job Id" class="form-control" name="job_id"
              (ngModelChange)="searchJobs($event)" [formControl]="queryField1" aria-label="Job"
              [matAutocomplete]="Jobs">
            <mat-autocomplete #Jobs="matAutocomplete" [displayWith]="displayFnJobs">
              <mat-option *ngFor="let job of jobData" [value]="job">
                {{job.job_id}}
              </mat-option>
              <mat-option *ngIf="jobData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
          <div class="col-sm-3">
            <input [(ngModel)]="driver_id" matInput placeholder="Select Driver" class="form-control" name="driver_id"
              (ngModelChange)="searchDriver($event)" [formControl]="queryField" aria-label="Driver"
              [matAutocomplete]="Drivers">
            <img alt="loader" *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator" src="assets/img/loading.gif" />
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of driverData" [value]="driver">
                {{driver.username}},{{driver.name}}
              </mat-option>
              <mat-option *ngIf="driverData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
          <div class="col-sm-2">
            <input [(ngModel)]="selectedMoment" name="start_date" [owlDateTimeTrigger]="dtPicker1"
              [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control" [min]="min" [max]="max"
              (click)="checkShiftstartTime()">
            <owl-date-time #dtPicker1 (click)="checkShiftstartTime()"></owl-date-time>
          </div>
          <div class="col-sm-2">
            <input [(ngModel)]="selectedMoment1" name="end_date" [owlDateTimeTrigger]="dtPicker2"
              [owlDateTime]="dtPicker2" [min]="selectedMoment" [max]="max" (click)="checkShiftstartTime1()"
              placeholder="End Date" class="form-control">
            <owl-date-time #dtPicker2 (click)="checkShiftstartTime1()"></owl-date-time>
          </div>
          <div class="col-sm-2">
            <button type="get" (click)="getFinalisationReports();" class="btn btn-sm btn-primary blue">
              <i aria-hidden="true" class="fa fa-search"></i> Search</button>
            <button type="get" (click)="reset();" class="btn btn-sm btn-primary red">
              <i aria-hidden="true" class="fa fa-search"></i> Reset</button>
          </div>
        </div>
        <div class="fm-row" style="margin-top: 8px;">
          <div class="col-sm-12">
            <mat-card style="margin-top: 8px;">
              <h3>Reports</h3>
              <div class="table-responsive">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col">Unique Finalisation Id
                      </th>
                      <th scope="col">Report from
                      </th>
                      <th scope="col">Report Till
                      </th>
                      <th scope="col">status
                      </th>
                      <th scope="col">
                        View
                      </th>
                      <th scope="col">
                        Operations
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <ng-container *ngFor="let job of jobData">
                      <tr style="border: 1px solid lightslategrey;">
                        <td>{{job.job_id}}</td>
                        <td>{{job.report_start_date}}</td>
                        <td>{{job.report_end_date}}</td>
                        <td>{{job.status}}</td>
                        <td>
                          <button type="get" class="btn_custom" (click)="getExpandeddetails(job,'PAID','')"
                            matTooltip="List of paid Drivers">
                            Paid</button>
                          <button type="get" class="btn_custom" (click)="getExpandeddetails(job,'UNPAID','')"
                            matTooltip="List of unpaid Drivers">
                            Unpaid</button>
                        </td>
                        <td>
                          <button type="get" class="btn_custom" (click)="getExpandeddetails(job,'UNPAID','topay')"
                            matTooltip="List of Drivers DTC need to pay">
                            To Pay</button>
                          <button type="get" class="btn_custom" (click)="getExpandeddetails(job,'UNPAID','torecive')"
                            matTooltip="List of Drivers need to pay to DTC">
                            To Collect</button>
                          <button type="get" class="btn_custom" (click)="getExpandeddetails(job,'BANK_PROCESSING')"
                            matTooltip="List of Drivers on bank processing">
                            Bank Processing</button>
                        </td>
                      </tr>
                      <tr *ngIf='job.showinner'>
                        <td colspan="6">
                          <div *ngIf='haveData'>
                            <div class="fm-row" style="margin-top: 8px;">
                              <div class='col-sm-12'>
                                <button type="get" class="btn_custom" (click)="getconstantsforcsv(job,'')">
                                  Export</button>
                                <button type="get" class="btn_custom" (click)="getconstantsforcsv(job,'bank')"
                                  *ngIf='bank_button'>
                                  Bank Report Export</button>
                                <button type="get" class="btn_custom" (click)="settleDrivers(job)"
                                  *ngIf='settle_button'>
                                  Settle</button>
                                <button type="get" class="btn_custom" (click)="revert(job)" *ngIf='settle_button'>
                                  Revert</button>
                                <button type="get" class="btn_custom" (click)="changeDriverstoBank(job)"
                                  *ngIf='bank_button'>
                                  Send to bank processing</button>
                                <button type="get" class="btn_custom" (click)="AddAlltoBank(job)" *ngIf='bank_button'>
                                  Send all to bank processing </button>
                              </div>
                            </div>
                            <div class="fm-row" style="margin-top: 8px;">
                              <div class='col-sm-12'>
                                <div class="form-group" *ngIf='settle_button'>
                                  <label class="col-sm-5 control-label">Bank Reference Number <i aria-hidden="true" class="mandatory">*</i>
                                  </label>
                                  <div class="col-sm-7 form-input">
                                    <input [(ngModel)]="bank_reference_number" matInput
                                      placeholder="Bank reference number" class="form-control" name="bankreference">
                                  </div>
                                </div>
                              </div>
                            </div>
                            <table aria-describedby="Manage Company" style="width: 100%;background-color:white;margin-top: 5px;" class="border-black">
                              <thead>
                                <tr style="background-color:white;">
                                  <th scope="col" *ngIf="bank_button">Select
                                    <input type="checkbox" [(ngModel)]="selectedAll" (change)="selectAlltoBank(job)"
                                      [checked]="selectedAll" />
                                  </th>
                                  <th scope="col" *ngIf="settle_button">Settle
                                    <input type="checkbox" [(ngModel)]="selectedAll" (change)="selectAlltoSettle(job)"
                                      [checked]="selectedAll" />
                                  </th>
                                  <th scope="col" *ngIf="settle_button">
                                    Revert to unpaid
                                  </th>
                                  <th scope="col">Driver
                                  </th>
                                  <th scope="col">Due Amount
                                  </th>
                                  <th scope="col" *ngIf="settle_button">Settle Amount</th>
                                  <th scope="col" *ngIf="selected_status=='PAID'|| selected_status=='UNPAID'">Settled Amount</th>
                                  <th scope="col">created at
                                  </th>
                                  <th scope="col" *ngIf='settle_button || selected_status=="PAID" || selected_status=="INPROGRESS"'>
                                    Bank process change log
                                  </th>
                                  <th scope="col" *ngIf='selected_status=="PAID" || selected_status=="INPROGRESS"'>
                                    settlement process change log
                                  </th>
                                  <th scope="col">status
                                  </th>
                                </tr>
                              </thead>
                              <tbody>
                                <span *ngIf="searchSubmit1">
                                  <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                </span>
                                <tr *ngFor="let innerjob of job.detailed_list" style="background-color:white;"
                                  matTooltip="Click for Expanded View">
                                  <td *ngIf="settle_button || bank_button">
                                    <input type="checkbox" value="{{innerjob.driver_id._id}}"
                                      name="{{innerjob.driver_id._id}}"
                                      [checked]="(job.settlementIds && (-1 !== job.settlementIds.indexOf(innerjob.driver_id._id)) ? 'checked' : '')"
                                      (change)="updateSelectedsettlementIds($event,innerjob.job_id)">
                                  </td>
                                  <td *ngIf="settle_button">
                                    <input type="checkbox" value="{{innerjob.driver_id._id}}"
                                      name="{{innerjob.driver_id._id}}"
                                      [checked]="(job.revertIds && (-1 !== job.revertIds.indexOf(innerjob.driver_id._id)) ? 'checked' : '')"
                                      (change)="updateSelectedrevertIds($event,innerjob.job_id)" />
                                  </td>
                                  <td (click)="getSplitupData(job,innerjob)">
                                    {{innerjob.driver_id.name}},{{innerjob.driver_id.emp_id}}
                                  </td>
                                  <td (click)="getSplitupData(job,innerjob)">
                                    {{innerjob.due_amount.$numberDecimal}} AED
                                  </td>
                                  <td *ngIf='settle_button'>
                                    <input [(ngModel)]="innerjob.settle_amount" matInput placeholder="Settle Amount"
                                      class="form-control" name="settle_amount" type="number">
                                  </td>
                                  <td *ngIf='selected_status=="PAID" || selected_status=="UNPAID"'
                                    (click)="getSplitupData(job,innerjob)">
                                    {{innerjob.settled_amount?innerjob.settled_amount.$numberDecimal:0}}
                                  </td>
                                  <td (click)="getSplitupData(job,innerjob)">
                                    {{innerjob.created_at}}
                                  </td>
                                  <td *ngIf='settle_button || selected_status=="PAID" || selected_status=="INPROGRESS"'>
                                    {{innerjob.changed_to_bank_process_by?innerjob.changed_to_bank_process_by.email:''}}<br>{{innerjob.changed_to_bank_process_by?innerjob.changed_to_bank_process_by.firstname:''}}{{innerjob.changed_to_bank_process_by?innerjob.changed_to_bank_process_by.lastname:''}}
                                    <br>{{innerjob.changed_to_bank_process_at?innerjob.changed_to_bank_process_at:''}}
                                  </td>
                                  <td *ngIf='selected_status=="PAID" || selected_status=="INPROGRESS"'>
                                    {{innerjob.changed_to_settle_by?innerjob.changed_to_settle_by.email:''}}<br>{{innerjob.changed_to_settle_by?innerjob.changed_to_settle_by.firstname:''}}{{innerjob.changed_to_settle_by?innerjob.changed_to_settle_by.lastname:''}}
                                    <br>{{innerjob.changed_to_settle_at?innerjob.changed_to_settle_at:""}}
                                  </td>
                                  <td (click)="getSplitupData(job,innerjob)">
                                    {{innerjob.status}}
                                  </td>
                                </tr>
                              </tbody>
                            </table>
                          </div>
                          <div *ngIf='!haveData'>
                            <p style="text-align: center;">No records</p>
                          </div>
                        </td>
                      </tr>
                    </ng-container>
                  </tbody>
                </table>
              </div>
              <div style="text-align:center; margin-left:125px;" *ngIf="jobDataDataLength==0">
                No records found.
              </div>
            </mat-card>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>